;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;
;;; Copyright, 1990. The Regents of the University of California.
;;; This software was produced under a U. S. Government contract
;;; (W-7405-ENG-36) by Los Alamos National Laboratory, which is
;;; operated by the University of California for the U. S. Department
;;; of Energy.  The U. S. Government is licensed to use, reproduce,
;;; and distribute this software. Permission is granted to the
;;; public to copy and use this software without charge, provided
;;; that this Notice and any statement of authorship are reproduced
;;; on all copies.  Neither the Government nor the University makes
;;; any warrenty, express or implied, or assumes any liability or
;;; responsibility for the use of this software.
;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(in-package 'kee)

(defvar *load-print* t)

(defun load-file (path)
  (load (merge-pathnames path *default-pathname-defaults*)
	:print *load-print*
	:if-source-newer :load-source))

(let ((kb (kb.exists.p 'clos-on-kee)))
  (if kb
      (delete.kb kb t t))
  (create.kb 'clos-on-kee)
  (goto.kb 'clos-on-kee))
 
(load-file "defmethod")
(load-file "defclass")
(load-file "standard-class")
(load-file "standard-clos-utilities")

;;;
;;; now change to whatever KEE kb you wish for your application and
;;; begin loading it.
;;;
